package util

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestFileExist(t *testing.T) {
	assert.True(t, FileExists("utils.go"))
	assert.True(t, !FileExists("Utils2.go"))
}

func TestJoiningSlash(t *testing.T) {
	assert.Equal(t, "http://my.tld/bla/blub", JoiningSlash("http://my.tld", "bla", "blub"))
	assert.Equal(t, "http://my.tld/bla/blub", JoiningSlash("http://my.tld/", "bla", "blub"))
	assert.Equal(t, "http://my.tld/bla/blub", JoiningSlash("http://my.tld", "bla/", "blub"))
	assert.Equal(t, "http://my.tld/docs/bla/blub", JoiningSlash("http://my.tld/docs", "bla/", "blub"))
	assert.Equal(t, "http://my.tld/docs/bla/blub", JoiningSlash("http://my.tld/docs/", "bla/", "blub"))
}

/* Can run only as admin within windows or linux
func TestIsSuperUser(t *testing.T) {
	cuser, err := user.Current()
	assert.Nil(t, err)
	assert.NotNil(t, cuser)
	assert.True(t, IsSuperUser())
}
*/
